Skip to main content
GET
/
v1
/
complex-predictions
List complex predictions for a variant
curl --request GET \
  --url https://api.example.com/v1/complex-predictions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "completed_at": "2026-04-23T14:42:10+00:00",
      "created_at": "2026-04-23T14:15:00+00:00",
      "credit_cost": 25,
      "id": "cccc3333-dddd-4444-eeee-555566667777",
      "inputs": {
        "antigen_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "variant_id": "11112222-3333-4444-5555-666677778888"
      },
      "object": "complex_prediction",
      "results": {
        "confidence_score": 0.82,
        "iptm": 0.71,
        "model_used": "boltz2",
        "pdb_url": "https://<project>.supabase.co/storage/v1/object/sign/structures/...?token=...",
        "pdb_url_expires_at": "2026-04-23T15:42:10+00:00"
      },
      "started_at": "2026-04-23T14:15:05+00:00",
      "status": "completed"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
ComplexPrediction · object[]
required
has_more
boolean
required
next_cursor
string | null